Subject: [netatalk-admins] netatalk-1.4b2+asun2.1.1/Solaris 2.5.1

From: "Michael Mercier" <[email-masked]>
Date: Wed, 17 Feb 1999 10:08:38 -0700

I have successfully compiled netatalk + asun on a Solaris 2.5.1 box but
I am having a problem logging on.  When I try to logon I get a error
message saying "The attempted connection to the server has failed. Try
again later."  I thought maybe the password was not working correctly so
I entered an invalid password and I get the password failed error.  When
I select the guest user I see the default "home" directory showing that
I set up in AppleVolumes.default but I have no luck with normal users.

A little extra information:
Solaris 2.5.1 with netatalk1.4b2+asun2.1.1+bgp0.9a server
bgp0.9a can be found at
http://members.tripod.com/~dustbox/authprint.html
MacOS 8.1 client

Any help would be appreciated.

Mike

---

From: Michael Han <[email-masked]>
Date: Wed, 17 Feb 1999 09:22:51 -0800

Previously...
>Any help would be appreciated.

Hrmm, did you by any chance compile with PAM support enabled? It's
defined in the toplevel Makefile. This is precisely the problem there
used to (still does?) exist with Solaris PAM support. If I'd cared
about -setpassword functionality, I'd've installed the latest *linux*
PAM from sources.

For the time being, try recompiling without PAM. Don't forget to make
clean first, since changing only the Makefile won't allow you to make
incrementally...
-- 
[email-masked]
I will not spank others
 - The collected wisdom of Bart Simpson

---

From: "Michael Mercier" <[email-masked]>
Date: Wed, 17 Feb 1999 10:35:25 -0700

> clean first, since changing only the Makefile won't allow you to make

I compiled the source without pam, tcpwrap, afs, kerberos, or des.  I like
you don't care about the -setpassword function because we have a web based
password changing form that changes the users password on all our main
systems.

Mike

---

From: Michael Han <[email-masked]>
Date: Wed, 17 Feb 1999 09:42:21 -0800

Previously...
>password changing form that changes the users password on all our main

Is the user's shell present in /etc/shells? That's the other big
gotcha that tends to bite in this fashion.
-- 
[email-masked]
I will not pledge allegiance to Bart
 - The collected wisdom of Bart Simpson

---

From: "Michael Mercier" <[email-masked]>
Date: Wed, 17 Feb 1999 11:19:39 -0700

> gotcha that tends to bite in this fashion.

I have created the file /etc/shells (thanks to Tim Carlson) with the
appropriate information for the user.  Currently the only user accessing the
machine is me.  My shell is /bin/ksh so I created the file /etc/shells that
looks like this
#start file
/bin/ksh
#end file

Looking in /var/adm/messages I get the messages...
Feb 17 11:01:43 <machine name> afpd[10776]: atp_rresp: Connection timed out
Feb 17 11:01:53 <machine name> afpd[10776]: afp_die: asp_shutdown: Connection
timed out

I assume this is coming from my attempt to logon to the machine.  I just
retried to logon as guest.  It allows the logon to the home directory (see
below).  With the guest user I can see all available home directories that are
in /export/home and can read all the files in each persons home directory.

Some other configurations
AppleVolumes.default
/export/home home

Mike